#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
from socket import error as SocketError

try:
    from mpd import (MPDClient, CommandError)
except ImportError, err:
    print 'ERROR: "%s"\n\nPlease install python-mpd module.\n' % err
    sys.exit(1)


class MPDClass(object):
    """Connect to MPD server
    """

    def __init__(self):
        self.client = MPDClient()

    def mpdConnect(self):
        """
        Simple wrapper to connect MPD.
        """
        con_id = dict({'host': self.cli_options.host,
                       'port': self.cli_options.port})
        try:
            self.client.connect(**con_id)
        except SocketError:
            return False
        return True

    def mpdAuth(self, secret):
        """ Authenticate"""
        try:
            self.client.password(secret)
        except CommandError:
            return False
        return True


def main():
    pass

# Script starts here
if __name__ == '__main__':
    main()

# VIM MODLINE
# vim: ai ts=4 sw=4 sts=4 expandtab
